> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Grant Configuration

> Updates grant configuration fields and swaps or disconnects the exercise form file.

Not available to API keys yet. It will need `grants:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /tga/update-grant-configuration
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/update-grant-configuration:
    post:
      operationId: updateGrantConfiguration
      summary: Update Grant Configuration
      description: >-
        Updates grant configuration fields and swaps or disconnects the exercise
        form file.


        Not available to API keys yet. It will need `grants:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateGrantConfigurationRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdateGrantConfigurationResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    UpdateGrantConfigurationRequest:
      type: object
      properties:
        grantConfigurationID:
          type: string
          format: uuid
        name:
          type: string
          minLength: 1
          maxLength: 200
        kind:
          type: string
          enum:
            - RTU
            - RTA
            - TOKEN_BONUS
            - TPA
            - OPTION
            - WARRANT
            - LTIP
            - TSA
            - FTIA
            - PHANTOMUNITS
            - FOUNDERROUND
            - FTI
            - TOKENSUB
            - PERFORMANCE
        isExercisable:
          type: boolean
        isPerformance:
          type: boolean
        useStrike:
          type: boolean
        hasDiscountFMV:
          type: boolean
        redemptionHold:
          type: number
        redemptionCap:
          type: number
          minimum: 0
        redemptionLiftPeriod:
          type: integer
          minimum: 0
        grantAssetType:
          type: string
          enum:
            - TOKEN
            - FIAT
        isCashCompensation:
          type: boolean
        exercisedOptionsPastTenseLabel:
          type: string
          maxLength: 500
        exercisedOptionsPresentTenseLabel:
          type: string
          maxLength: 500
        exercisedOptionActionLabel:
          type: string
          maxLength: 500
        exercisedOptionPotentialActionLabel:
          type: string
          maxLength: 500
        redemptionMethod:
          type: string
          enum:
            - cash
            - units
            - both
        coinMarketCapID:
          type: string
          maxLength: 100
        showLtipRedemptionProcessingAlert:
          type: boolean
        exerciseLockupMonths:
          type: integer
          minimum: 0
        optionExpiryYears:
          type: integer
          minimum: 0
        optionExerciseWindowDays:
          type: integer
          minimum: 0
        documentTabs:
          type:
            - object
            - 'null'
          properties:
            prefilledTextTabs:
              type: array
              items:
                type: object
                properties:
                  type:
                    type: string
                    enum:
                      - fullLegalName
                      - exerciseDate
                      - grantDate
                      - exerciseDate
                      - numberOfUnitsToRedeem
                      - redemptionMethod
                  pageNumber:
                    type: string
                  xPosition:
                    type: string
                  yPosition:
                    type: string
                required:
                  - type
                  - pageNumber
                  - xPosition
                  - yPosition
            bankTabs:
              type: array
              items:
                type: object
                properties:
                  label:
                    type: string
                  pageNumber:
                    type: string
                  xPosition:
                    type: string
                  yPosition:
                    type: string
                required:
                  - label
                  - pageNumber
                  - xPosition
                  - yPosition
            signerTabs:
              type: array
              items:
                type: object
                properties:
                  type:
                    type: string
                    enum:
                      - signature
                      - initial
                      - dateSigned
                  pageNumber:
                    type: string
                  xPosition:
                    type: string
                  yPosition:
                    type: string
                  isRecipient:
                    type: boolean
                  name:
                    type: string
                  email:
                    type: string
                required:
                  - pageNumber
                  - xPosition
                  - yPosition
                  - isRecipient
                  - name
                  - email
          required:
            - prefilledTextTabs
            - bankTabs
            - signerTabs
        exerciseFormKey:
          type:
            - string
            - 'null'
          maxLength: 500
        exerciseFormFileID:
          type:
            - string
            - 'null'
          format: uuid
      required:
        - grantConfigurationID
        - name
        - kind
        - isExercisable
        - isPerformance
        - documentTabs
        - exerciseFormKey
    UpdateGrantConfigurationResponse:
      type: object
      properties:
        success:
          type: boolean
        errorMessage:
          type: string
      required:
        - success
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
